/*
  vv.h: header for C equivalent of a "verbose vector2", a VV:

  class VV subclassof Vector2
      void method print();                            // redefined
  }
*/

typedef Vector2 VV;                                   // shape unchanged: alias type

extern VV new_VV( double x, double y );               // constructor
extern VV alloc_VV( void );                           // allocator
extern void init_VV( Vector2 v, double x, double y ); // initialiser
